/*
 * Mattermost API Reference
 *
 * There is also a work-in-progress [Postman API reference](https://documenter.getpostman.com/view/4508214/RW8FERUn).
 *
 * The version of the OpenAPI document: 4.0.0
 * Contact: feedback@mattermost.com
 * Generated by: https://openapi-generator.tech
 */

#[derive(Clone, Debug, PartialEq, Default, serde::Serialize, serde::Deserialize)]
pub struct OpenInteractiveDialogRequest {
    /// Trigger ID provided by other action
    #[serde(rename = "trigger_id")]
    pub trigger_id: String,
    /// The URL to send the submitted dialog payload to
    #[serde(rename = "url")]
    pub url: String,
    #[serde(rename = "dialog")]
    pub dialog: Box<crate::openapi::models::OpenInteractiveDialogRequestDialog>,
}

impl OpenInteractiveDialogRequest {
    pub fn new(
        trigger_id: String,
        url: String,
        dialog: crate::openapi::models::OpenInteractiveDialogRequestDialog,
    ) -> OpenInteractiveDialogRequest {
        OpenInteractiveDialogRequest {
            trigger_id,
            url,
            dialog: Box::new(dialog),
        }
    }
}
